<template>
  <div>
    <input
      type="file"
      name="imgInput"
      id="imgInput"
      accept="image/*"
      @change="ImageChange"
      data-buttonText="Your label here."
    />
  </div>
</template>

<script>
var reader = null;

export default {
  name: "ImageInput",

  data() {
    return {
      img: {
          data: null,
          name: null,
          contentType: null
        }
    };
  },

  mounted() {
    reader = new FileReader();
    reader.addEventListener(
        "load",
        this.OnReaderLoad,
        false
      );
  },

  methods: {
    ImageChange(event) {
      var file = event.target.files[0];
      console.log(file);

      this.img.name = file.name;
      this.img.contentType = file.name.split('.').pop();

      reader.readAsDataURL(file);
    },
    OnReaderLoad() {
      this.img.data = reader.result;
      console.log(this.img);
      this.$emit("imgInputChanged", this.img);
    },
  },
};
</script>
